> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.0x.org/api-reference/evm-ap-is/sources/getsources/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.0x.org/_mcp/server. # getSources GET https://api.0x.org/sources Get the list of supported sources Reference: https://docs.0x.org/api-reference/evm-ap-is/sources/getsources ## Request ### Query parameters - `chainId` (integer, required) — Chain ID. See [here](https://docs.0x.org/docs/introduction/supported-chains) for the list of supported chains ### Headers - `0x-api-key` (string, required) — Visit dashboard.0x.org to get your API Key - `0x-version` (string, required) — API version ## Response ### 200 Successful response - `sources` (list of string, required) — The array of liquidity sources aggregated by 0x for the requested chain - `zid` (string, required) — The unique ZeroEx identifier of the request ## Errors ### 400 Bad Request Error 400 error response - `Sources::getSourcesRequestBadRequestError` ### 500 Internal Server Error 500 error response - `Sources::getSourcesRequestInternalServerError` ## Types ### INPUT_INVALID - `name` (enum, required) - Allowed values: `INPUT_INVALID` - `message` (string, required) - `data` (InputInvalidData, required) ### INTERNAL_SERVER_ERROR - `name` (enum, required) - Allowed values: `INTERNAL_SERVER_ERROR` - `message` (string, required) - `data` (InternalServerErrorData, required) ### UNCATEGORIZED - `name` (enum, required) - Allowed values: `UNCATEGORIZED` - `message` (string, required) - `data` (UncategorizedData, required) ### InputInvalidData - `zid` (string, required) — The unique ZeroEx identifier of the request - `details` (list of InputInvalidDataDetailsItems, required) — The list of invalid inputs ### InternalServerErrorData - `zid` (string, required) — The unique ZeroEx identifier of the request ### UncategorizedData - `zid` (string, required) — The unique ZeroEx identifier of the request ### InputInvalidDataDetailsItems - `field` (string, required) — The input field name - `reason` (string, required) — The validation failure reason ## Examples **Response** ```json { "sources": [ "0x_RFQ", "Ambient", "BalancerV1", "BalancerV2", "BancorV3", "Curve", "DodoV1", "DodoV2", "FraxswapV2", "Integral", "Lido", "MakerPsm", "Maverick", "Origin", "PancakeSwapV3", "RocketPool", "SolidlyV3", "SushiSwap", "Synapse", "UniswapV2", "UniswapV3" ], "zid": "0x111111111111111111111111" } ``` **SDK Code** ```python Sources_getsources_example import requests url = "https://api.0x.org/sources" querystring = {"chainId":"1"} headers = { "0x-api-key": "0x-api-key", "0x-version": "v2" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Sources_getsources_example const url = 'https://api.0x.org/sources?chainId=1'; const options = {method: 'GET', headers: {'0x-api-key': '0x-api-key', '0x-version': 'v2'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Sources_getsources_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.0x.org/sources?chainId=1" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("0x-api-key", "0x-api-key") req.Header.Add("0x-version", "v2") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Sources_getsources_example require 'uri' require 'net/http' url = URI("https://api.0x.org/sources?chainId=1") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["0x-api-key"] = '0x-api-key' request["0x-version"] = 'v2' response = http.request(request) puts response.read_body ``` ```java Sources_getsources_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.0x.org/sources?chainId=1") .header("0x-api-key", "0x-api-key") .header("0x-version", "v2") .asString(); ``` ```php Sources_getsources_example request('GET', 'https://api.0x.org/sources?chainId=1', [ 'headers' => [ '0x-api-key' => '0x-api-key', '0x-version' => 'v2', ], ]); echo $response->getBody(); ``` ```csharp Sources_getsources_example using RestSharp; var client = new RestClient("https://api.0x.org/sources?chainId=1"); var request = new RestRequest(Method.GET); request.AddHeader("0x-api-key", "0x-api-key"); request.AddHeader("0x-version", "v2"); IRestResponse response = client.Execute(request); ``` ```swift Sources_getsources_example import Foundation let headers = [ "0x-api-key": "0x-api-key", "0x-version": "v2" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.0x.org/sources?chainId=1")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Developer documentation for the 0x API. Embed swaps in your onchain app. Access 10+ million tokens with liquidity from 150+ exchanges with a single API.